/*
 * Experimental Connected Vehicle API
 * An experimental Connected Vehicle API that allows to request vehicle data and to send commands to the virtual car simulator.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.swagger.client.api;

import io.swagger.client.ApiException;
import io.swagger.client.model.DistanceDrivenResponse;
import io.swagger.client.model.ErrorResponse;
import org.junit.Test;
import org.junit.Ignore;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for OdometerApi
 */
@Ignore
public class OdometerApiTest {

    private final OdometerApi api = new OdometerApi();

    
    /**
     * Provides information about the odometer.
     *
     * Provides information about the odometer like milage aka odometer, distance driven since reset, distance driven since the enige start.
     *
     * @throws ApiException
     *          if the Api call fails
     */
    @Test
    public void getOdometerStatusTest() throws ApiException {
        String vehicleId = null;
        DistanceDrivenResponse response = api.getOdometerStatus(vehicleId);

        // TODO: test validations
    }
    
}
